Premature end of file error- site down


#1

Greetings all,

We have a site that is down and is showing the error:

javax.servlet.ServletException: Premature end of file.

Can someone assist in troubleshooting please?

lucee.runtime.exp.NativeException.newInstance(NativeException.java:73)
lucee.runtime.op.Caster.toPageException(Caster.java:3201)
lucee.runtime.op.Caster.toPageException(Caster.java:3176)
lucee.runtime.config.ConfigImpl.setScheduler(ConfigImpl.java:1572)
lucee.runtime.config.XMLConfigWebFactory.loadScheduler(XMLConfigWebFactory.java:4066)
lucee.runtime.config.XMLConfigWebFactory.load(XMLConfigWebFactory.java:482)
lucee.runtime.config.XMLConfigWebFactory.newInstance(XMLConfigWebFactory.java:286)
lucee.runtime.engine.CFMLEngineImpl.loadJSPFactory(CFMLEngineImpl.java:780)
lucee.runtime.engine.CFMLEngineImpl.addServletConfig(CFMLEngineImpl.java:676)
lucee.loader.engine.CFMLEngineWrapper.addServletConfig(CFMLEngineWrapper.java:88)
lucee.loader.engine.CFMLEngineFactory.getInstance(CFMLEngineFactory.java:223)
lucee.loader.servlet.CFMLServlet.init(CFMLServlet.java:42)
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:478)
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:80)
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)
org.apache.coyote.ajp.AjpProcessor.service(AjpProcessor.java:486)
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66)
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:861)
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1455)
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)
java.lang.Thread.run(Thread.java:748)

#2

Please always post version numbers of your stack


#3


#4

I’d suggest updating your software stack to the latest stable releases, as there’s a good chance it’s already been addressed?

i.e. Lucee 5.2.9.31 and Java 1.8.0_191


#5

Ok. Would you suggest updating to the latest in one step?
What about the extensions?


#6

i’d try just updating lucee first, of all the upgrades, it’s the most easily reversible and hopefully the most likely to solve your problem.